import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('画像保存ファイル（*.png）= ')
#
#      Excelファイルの読み込み
#　　　モジュール xlrd がインストール済みであること
#
xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
print(data)

var_name = data[0,1]
values = data[1:].T[1]
Categ, counts = np.unique(values, return_counts = True)
print(Categ)
print(counts)

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP', 'Hiragino Maru Gothic Pro']

#         　　  円グラフの表示
def func(pct):
    return '{0:.1f}%'.format(pct)
plt.pie(counts, labels = Categ, labeldistance = None, autopct = lambda pct: func(pct))

plt.title(var_name, fontsize = 20)       #   タイトルの表示
plt.legend()                             #   レジェンドの表示
plt.savefig(foutnm)                      #   画像の保存
print('\n保存画像ファイル：', foutnm, '\n')
plt.show()                               #   画像の表示
